Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Interface PortalManager

public interface PortalManager
extends javax.ejb.EJBObject

Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved Wrapper interface for getting portal and administration data.

Field Summary
`static java.lang.String` | `LOOKUP_NAME` The public JNDI lookup name for the Portal Manager session bean.

Method Summary
`void` | `addGroupToGroup(java.lang.String aParentGroupId, java.lang.String aGroupId)` Create a group for a parent group.
`void` | `addGroupToPortal(java.lang.String aPortalName, java.lang.String aGroupId)` Create a group for a portal.
`void` | `addUserToGroup(java.lang.String aPortalId, java.lang.String aGroupId, java.lang.String aUserId)` Add a user name to a particular group.
`void` | `addUserToPortal(java.lang.String aPortalId, java.lang.String aUserId)` Add a user name to a particular portal.
`void` | `createCredentials(Credentials someCredentials)` Persist a new set of credentials.
`java.lang.String` | `createGroupProfileKey(java.lang.String portalName, java.lang.String groupName)` Create the group profile key.
`void` | `createPortal(Portal aPortal)` Persist a new portal.
`void` | `createPortlet(Portlet aPortlet)` Persist a new portlet.
`void` | `createPortletForGroup(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, Portlet aPortlet)` Create a GroupPersonalization for a portal and a group.
`void` | `createPortletForPortal(java.lang.String aPortalName, java.lang.String aCategory, Portlet aPortlet)` Create a PortalPersonalization for a portlet.
`void` | `createPortletForUser(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUserName, Portlet aPortlet)` Create a UserPersonalization for a portal, group, and user.
`java.lang.String` | `createUserProfileKey(java.lang.String portalName, java.lang.String userName)` Create the user profile key.
`PortalColumnInformation[]` | `fastGetColumnInformationFor(java.lang.String aPortalName, java.lang.String aCategory)` Using straight JDBC.
`Portal` | `fastGetPortalFor(java.lang.String aName)` Using straight JDBC.
`Portlet[]` | `fastGetPortletDefinitionsFor(java.lang.String aPortalName)` Using straight JDBC.
`Portlet[]` | `fastGetPortletsFor(java.lang.String aPortalName, java.lang.String aCategory)` Using straight JDBC.
`Portlet[]` | `fastGetPortletsFor(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName)` Using straight JDBC.
`Portlet[]` | `fastGetPortletsFor(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUserId)` Using straight JDBC.
`Portlet[][]` | `fastGetRCPortletsFor(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUserId)` Using straight JDBC.
`java.lang.String[]` | `getAllUserNamesForGroup(java.lang.String aPortalId, java.lang.String aGroupId)` Gets all user names associated with a particular group.
`Portlet[]` | `getAvailablePortletsFor(java.lang.String aPortalName, java.lang.String aCategory)` Get all of the available portlets associated to a portal.
`Portlet[]` | `getAvailablePortletsFor(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName)` Get all of the available portlets associated to a portal and a group.
`Portlet[]` | `getAvailablePortletsFor(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUserName)` Get all of the available portlets associated to a portal, a group, and a user.
`PortalColumnInformation[]` | `getColumnInformationFor(java.lang.String aPortalName, java.lang.String aCategory)` Get the column information (sizes) for a given portal and category.
`Credentials[]` | `getCredentialsFor(java.lang.String aUserId)` Get all of the credentials for a user.
`Credentials[]` | `getCredentialsFor(java.lang.String aUserId, java.lang.String aPortalName)` Get all of the credentials for a user and a system.
`Credentials` | `getCredentialsFor(java.lang.String aUserId, java.lang.String aPortalName, java.lang.String aSystemName, java.lang.String aSystemUserId)` Get all of the credentials for a user and a system.
`java.lang.String[]` | `getGroupIdsForGroup(java.lang.String aParentGroupId)` Get the groups associated to a parent group
`java.lang.String[]` | `getGroupIdsForPortal(java.lang.String aPortalName)` Get the groups associated to a portal
`java.lang.String[]` | `getGroupNamesForUser(java.lang.String aPortalId, java.lang.String aUserId)` Get the group names to which a particular user belongs.
`Portal` | `getPortalFor(java.lang.String aName)` Get a portal from the name.
`java.lang.String[]` | `getPortalNamesFor(java.lang.String aPortletName)` Get the portal names associated to a portlet.
`PortalProperties` | `getPortalProperties()` Get the portal properties
`Portal[]` | `getPortals()` Get all of the portals defined within a system.
`Portlet[]` | `getPortletDefinitionsFor(java.lang.String aPortalName)` Get all of the portlets (definitions) associated to a portal, it is just the PORTLET_DEFINITION.
`Portlet` | `getPortletFor(java.lang.String aPortlet)` Get the PortletDefinition for the name.
`Portlet` | `getPortletForGroup(java.lang.String aPortal, java.lang.String aCategory, java.lang.String aGroup, java.lang.String aPortlet)` Get the GroupPersonalization for the name.
`Portlet` | `getPortletForGroup(java.lang.String aPortal, java.lang.String aCategory, java.lang.String aGroup, java.lang.String aPortlet, boolean isWaterfall)` Get the GroupPersonalization for the name.
`Portlet` | `getPortletForPortal(java.lang.String aPortal, java.lang.String aCategory, java.lang.String aPortlet)` Get the PortalPersonalization for the name.
`Portlet` | `getPortletForPortal(java.lang.String aPortal, java.lang.String aCategory, java.lang.String aPortlet, boolean isWaterfall)` Get the PortalPersonalization for the name.
`Portlet` | `getPortletForUser(java.lang.String aPortal, java.lang.String aCategory, java.lang.String aGroup, java.lang.String aUser, java.lang.String aPortletName)` Get the UserPersonalization for the name.
`Portlet` | `getPortletForUser(java.lang.String aPortal, java.lang.String aCategory, java.lang.String aGroup, java.lang.String aUser, java.lang.String aPortlet, boolean isWaterfall)` Get the UserPersonalization for the name.
`java.lang.String[]` | `getPortletNamesFor(java.lang.String aPortalName)` Get the portlet names associated to a portal.
`Portlet[]` | `getPortlets()` Get all of the portlets (PortletDefinition) defined within a system.
`Portlet[][]` | `getRCPortletsFor(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUserId)` Get all of the portlets related to a PortalName, aGroup and a user.
`int` | `getUserCountForGroup(java.lang.String aPortalId, java.lang.String aGroupId)` Get a count of users for a particular portal-group combination.
`int` | `getUserCountForPortal(java.lang.String aPortalId)` Get a count of users for a particular portal.
`Portlet[]` | `getVisiblePortletsFor(java.lang.String aPortalName, java.lang.String aCategory)` Get all of the available and visible portlets associated to a portal.
`Portlet[]` | `getVisiblePortletsFor(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName)` Get all of the available and visible portlets associated to a portal and a group.
`Portlet[]` | `getVisiblePortletsFor(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUserName)` Get all of the available and visible portlets associated to a portal, a group, and a user.
`java.lang.String` | `portalCreateCredentials(java.lang.String portalName, java.lang.String userName, java.lang.String password)` Create the credentials for a user.
`java.lang.String` | `portalSignOn(java.lang.String portalName, java.lang.String userName, java.lang.String password)` Check the signon for a portal.
`java.lang.String` | `portalUpdateCredentials(java.lang.String portalName, java.lang.String userName, java.lang.String oldPassword, java.lang.String password)` Update the credentials for a user..
`void` | `removeCredentials(Credentials someCredentials)` Remove a Set of credentials.
`void` | `removeGroupForPortal(java.lang.String aPortalName, java.lang.String aGroupId)` Remove a group from the portal.
`void` | `removePortal(Portal aPortal)` Remove a portal.
`void` | `removePortlet(Portlet aPortlet)` Remove a portlet.
`void` | `removePortletForGroup(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, Portlet aPortlet)` Remove a GroupPersonalization for a portal and a group.
`void` | `removePortletForPortal(java.lang.String aPortalName, java.lang.String aCategory, Portlet aPortlet)` Remove a PortalPersonalization for a portlet.
`void` | `removePortletForUser(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUserName, Portlet aPortlet)` Remove a UserPersonalization for a portal, group, and user.
`void` | `removeUserFromGroup(java.lang.String aPortalId, java.lang.String aGroupId, java.lang.String aUserId)` Remove a user name from a particular group.
`void` | `removeUserFromPortal(java.lang.String aPortalId, java.lang.String aUserId)` Remove a user name from a particular group.
`java.lang.String[]` | `searchGroupForUsers(java.lang.String aPortalId, java.lang.String aGroupId, java.lang.String search)` Get the user names associated with a particular group, based on a particular search string.
`java.lang.String[]` | `searchPortalForUsers(java.lang.String aPortalId, java.lang.String search)` Get the user names associated with a particular portal, based on a particular search string.
`void` | `setColumnInformationFor(Portal aPortal, java.lang.String aCategory, PortalColumnInformation[] someColumnInformation)` Set the column information for a portal.
`void` | `updateCredentials(Credentials someCredentials)` Update a set of credentials.
`void` | `updatePortal(Portal aPortal)` Update a portal.
`void` | `updatePortlet(Portlet aPortlet)` Update a portlet.
`void` | `updatePortletForGroup(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, Portlet aPortlet)` Update a GroupPersonalization for a portal and a group.
`void` | `updatePortletForGroup(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, Portlet aPortlet, boolean createIfNotFound)` Update a Group Personalization for a portlet.
`void` | `updatePortletForPortal(java.lang.String aPortalName, java.lang.String aCategory, Portlet aPortlet)` Update a PortalPersonalization for a portlet.
`void` | `updatePortletForPortal(java.lang.String aPortalName, java.lang.String aCategory, Portlet aPortlet, boolean createIfNotFound)` Update a PortalPersonalization for a portlet.
`void` | `updatePortletForUser(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUserName, Portlet aPortlet)` Update a UserPersonalization for a portal, group, and user.
`void` | `updatePortletForUser(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroupName, java.lang.String aUser, Portlet aPortlet, boolean createIfNotFound)` Update a PortalPersonalization for a portlet.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Field Detail

### LOOKUP_NAME

    public static final java.lang.String LOOKUP_NAME

  The public JNDI lookup name for the Portal Manager session bean.

Method Detail

### getCredentialsFor

    public Credentials getCredentialsFor(java.lang.String aUserId,
                                         java.lang.String aPortalName,
                                         java.lang.String aSystemName,
                                         java.lang.String aSystemUserId)
                                  throws java.rmi.RemoteException,
                                         PortalException,
                                         PortalFinderException,
                                         PortalObjectNotFoundException

  Get all of the credentials for a user and a system.
  Parameters:
    `aUserId` - the user
    `aPortalName` - the system to get the user credentials for.
  Returns:
    Credentials
  Throws:
    PortalObjectNotFoundException - the credentials were not found for criteria.
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getCredentialsFor

    public Credentials[] getCredentialsFor(java.lang.String aUserId,
                                           java.lang.String aPortalName)
                                    throws java.rmi.RemoteException,
                                           PortalException,
                                           PortalFinderException

  Get all of the credentials for a user and a system.
  Parameters:
    `aUserId` - the user
    `aPortalName` - the system to get the user credentials for.
  Returns:
    Credentials[] will return an empty array if none found.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getCredentialsFor

    public Credentials[] getCredentialsFor(java.lang.String aUserId)
                                    throws java.rmi.RemoteException,
                                           PortalException,
                                           PortalFinderException

  Get all of the credentials for a user.
  Parameters:
    `aUserId` - the user
  Returns:
    Credentials[] will return an empty array if none found.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getPortalFor

    public Portal getPortalFor(java.lang.String aName)
                        throws java.rmi.RemoteException,
                               PortalException,
                               PortalFinderException,
                               PortalObjectNotFoundException

  Get a portal from the name.
  Parameters:
    `aName` - the name of the portal to retrieve.
  Returns:
    Portal the portal definition
  Throws:
    PortalObjectNotFoundException - the credentials were not found for criteria.
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getPortletDefinitionsFor

    public Portlet[] getPortletDefinitionsFor(java.lang.String aPortalName)
                                       throws java.rmi.RemoteException,
                                              PortalException,
                                              PortalFinderException,
                                              PortalObjectNotFoundException

  Get all of the portlets (definitions) associated to a portal, it is just the PORTLET_DEFINITION.
  Parameters:
    `aPortalName` - the portal name.
  Returns:
    all of the portals defined, will return an empty array if none are found.
  Throws:
    PortalObjectNotFoundException - the credentials were not found for criteria.
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getRCPortletsFor

    public Portlet[][] getRCPortletsFor(java.lang.String aPortalName,
                                        java.lang.String aCategory,
                                        java.lang.String aGroupName,
                                        java.lang.String aUserId)
                                 throws java.rmi.RemoteException,
                                        PortalException,
                                        PortalFinderException

  Get all of the portlets related to a PortalName, aGroup and a user. This method will pull all of the personalizations for each level in the portlet definition that is returned. It sorts them according to their row/column values.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
    `aGroupName` - the group name
    `aUserId` - the user id
  Returns:
    Portlet[][] the rows and columns of information for the user. Will return an empty array if none available.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### fastGetRCPortletsFor

    public Portlet[][] fastGetRCPortletsFor(java.lang.String aPortalName,
                                            java.lang.String aCategory,
                                            java.lang.String aGroupName,
                                            java.lang.String aUserId)
                                     throws java.rmi.RemoteException,
                                            PortalException,
                                            PortalFinderException

  Using straight JDBC. Get all of the portlets related to a PortalName, aGroup and a user. This method will pull all of the personalizations for each level in the portlet definition that is returned.It sorts them according to their row/column values.
  Parameters:
    `aPortalName` - the portal name.
    `aCategory` - the category.
    `aGroupName` - the group name.
    `aUserId` - the user id.
  Returns:
    Portlet[][] the rows and columns of information for the user.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### fastGetPortletDefinitionsFor

    public Portlet[] fastGetPortletDefinitionsFor(java.lang.String aPortalName)
                                           throws java.rmi.RemoteException,
                                                  PortalException,
                                                  PortalFinderException

  Using straight JDBC. Get all of the portlet definitions related to a PortalName.
  Parameters:
    `aPortalName` - the portal name
  Returns:
    Portlet[] the rows and columns of information for the user.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### fastGetPortletsFor

    public Portlet[] fastGetPortletsFor(java.lang.String aPortalName,
                                        java.lang.String aCategory)
                                 throws java.rmi.RemoteException,
                                        PortalException,
                                        PortalFinderException

  Using straight JDBC. Get all of the portal personalizations of the portlet related to a PortalName.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
  Returns:
    Portlet[]the portal personalizations.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### fastGetPortletsFor

    public Portlet[] fastGetPortletsFor(java.lang.String aPortalName,
                                        java.lang.String aCategory,
                                        java.lang.String aGroupName)
                                 throws java.rmi.RemoteException,
                                        PortalException,
                                        PortalFinderException

  Using straight JDBC. Get all of the group personalizations of the portlet related to a PortalName.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
    `aGroupName` - the group name
  Returns:
    Portlet[] the group personalizations.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### fastGetPortletsFor

    public Portlet[] fastGetPortletsFor(java.lang.String aPortalName,
                                        java.lang.String aCategory,
                                        java.lang.String aGroupName,
                                        java.lang.String aUserId)
                                 throws java.rmi.RemoteException,
                                        PortalException,
                                        PortalFinderException

  Using straight JDBC. Get all of the user personalizations of the portlet related to a PortalName.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
    `aGroupName` - the group name
    `aUserId` - the user name
  Returns:
    Portlet[] the group personalizations.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### fastGetColumnInformationFor

    public PortalColumnInformation[] fastGetColumnInformationFor(java.lang.String aPortalName,
                                                                 java.lang.String aCategory)
                                                          throws java.rmi.RemoteException,
                                                                 PortalException,
                                                                 PortalFinderException

  Using straight JDBC. Get the column information for a portal.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
  Returns:
    PortalColumnInformation[] the column information.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### fastGetPortalFor

    public Portal fastGetPortalFor(java.lang.String aName)
                            throws java.rmi.RemoteException,
                                   PortalException,
                                   PortalFinderException,
                                   PortalObjectNotFoundException

  Using straight JDBC. Get the portal definition for a portal.
  Parameters:
    `aName` - the portal name
  Returns:
    the Portal.
  Throws:
    PortalObjectNotFoundException - a portal by the given name does not exist.
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getAvailablePortletsFor

    public Portlet[] getAvailablePortletsFor(java.lang.String aPortalName,
                                             java.lang.String aCategory)
                                      throws java.rmi.RemoteException,
                                             PortalException,
                                             PortalFinderException

  Get all of the available portlets associated to a portal.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
  Returns:
    all of the available portlets for the portal and category.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getAvailablePortletsFor

    public Portlet[] getAvailablePortletsFor(java.lang.String aPortalName,
                                             java.lang.String aCategory,
                                             java.lang.String aGroupName)
                                      throws java.rmi.RemoteException,
                                             PortalException,
                                             PortalFinderException

  Get all of the available portlets associated to a portal and a group.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
    `aGroupName` - the group name
  Returns:
    all of the portals defined.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getAvailablePortletsFor

    public Portlet[] getAvailablePortletsFor(java.lang.String aPortalName,
                                             java.lang.String aCategory,
                                             java.lang.String aGroupName,
                                             java.lang.String aUserName)
                                      throws java.rmi.RemoteException,
                                             PortalException,
                                             PortalFinderException

  Get all of the available portlets associated to a portal, a group, and a user.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
    `aGroupName` - the group name
    `aUserName` - the user name
  Returns:
    all of the portals defined.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getVisiblePortletsFor

    public Portlet[] getVisiblePortletsFor(java.lang.String aPortalName,
                                           java.lang.String aCategory)
                                    throws java.rmi.RemoteException,
                                           PortalException,
                                           PortalFinderException

  Get all of the available and visible portlets associated to a portal.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
  Returns:
    all of the portals defined.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getVisiblePortletsFor

    public Portlet[] getVisiblePortletsFor(java.lang.String aPortalName,
                                           java.lang.String aCategory,
                                           java.lang.String aGroupName)
                                    throws java.rmi.RemoteException,
                                           PortalException,
                                           PortalFinderException

  Get all of the available and visible portlets associated to a portal and a group.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
    `aGroupName` - the group name
  Returns:
    all of the portals defined.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getVisiblePortletsFor

    public Portlet[] getVisiblePortletsFor(java.lang.String aPortalName,
                                           java.lang.String aCategory,
                                           java.lang.String aGroupName,
                                           java.lang.String aUserName)
                                    throws java.rmi.RemoteException,
                                           PortalException,
                                           PortalFinderException

  Get all of the available and visible portlets associated to a portal, a group, and a user.
  Parameters:
    `aPortalName` - the portal name
    `aCategory` - the category
    `aGroupName` - the group name
    `aUserName` - the user name
  Returns:
    all of the portals defined.
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getColumnInformationFor

    public PortalColumnInformation[] getColumnInformationFor(java.lang.String aPortalName,
                                                             java.lang.String aCategory)
                                                      throws java.rmi.RemoteException,
                                                             PortalException,
                                                             PortalFinderException

  Get the column information (sizes) for a given portal and category.
  Parameters:
    `aPortalName` - the portal name.
    `aCategory` - the category
  Returns:
    PortalColumnInformation[] the column sizes in the correct order
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### createPortal

    public void createPortal(Portal aPortal)
                      throws java.rmi.RemoteException,
                             PortalException,
                             PortalCreateException

  Persist a new portal.
  Parameters:
    `aPortal` - a portal instance.
  Throws:
    PortalCreateException - Could not create the exception.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### setColumnInformationFor

    public void setColumnInformationFor(Portal aPortal,
                                        java.lang.String aCategory,
                                        PortalColumnInformation[] someColumnInformation)
                                 throws java.rmi.RemoteException,
                                        PortalException,
                                        PortalRemoveException,
                                        PortalCreateException

  Set the column information for a portal. This method assumes that the order of the array matches the columnOrder specified within the PortalColumnInformation.
  Parameters:
    `aPortal` - the portal.
    `aCategory` - the category.
    `someColumnInformation` - the new column information.
  Throws:
    PortalCreateException - Could not recreate the column information.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### updatePortal

    public void updatePortal(Portal aPortal)
                      throws java.rmi.RemoteException,
                             PortalException,
                             PortalFinderException,
                             PortalObjectNotFoundException

  Update a portal.
  Parameters:
    `aPortal` - a portal instance.
  Throws:
    PortalObjectNotFoundException - the portal could not be found
    PortalFinderException - error on the query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### removePortal

    public void removePortal(Portal aPortal)
                      throws java.rmi.RemoteException,
                             PortalException,
                             PortalFinderException,
                             PortalObjectNotFoundException,
                             PortalRemoveException

  Remove a portal.
  Parameters:
    `aPortal` - a portal instance.
  Throws:
    PortalObjectNotFoundException - the portal could not be found
    PortalFinderException - error on the query.
    PortalRemoveException - error removing the portal.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### createPortlet

    public void createPortlet(Portlet aPortlet)
                       throws java.rmi.RemoteException,
                              PortalException,
                              PortalCreateException

  Persist a new portlet.
  Parameters:
    `aPortlet` - a portlet instance.
  Throws:
    PortalCreateException - error creating the portlet.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### updatePortlet

    public void updatePortlet(Portlet aPortlet)
                       throws java.rmi.RemoteException,
                              PortalException,
                              PortalFinderException,
                              PortalObjectNotFoundException

  Update a portlet.
  Parameters:
    `aPortlet` - a portlet instance.
  Throws:
    PortalObjectNotFoundException - Could not find the portlet definition.
    PortalFinderException - error retrieving information.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### removePortlet

    public void removePortlet(Portlet aPortlet)
                       throws java.rmi.RemoteException,
                              PortalException,
                              PortalFinderException,
                              PortalObjectNotFoundException,
                              PortalRemoveException

  Remove a portlet.
  Parameters:
    `aPortlet` - a portlet instance.
  Throws:
    PortalObjectNotFoundException - Could not find the portlet.
    PortalFinderException - error retrieving information.
    PortalRemoveException - error removing the portlet.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### createPortletForPortal

    public void createPortletForPortal(java.lang.String aPortalName,
                                       java.lang.String aCategory,
                                       Portlet aPortlet)
                                throws java.rmi.RemoteException,
                                       PortalException,
                                       PortalCreateException

  Create a PortalPersonalization for a portlet. Also add the reference in PortalHierarchy
  Parameters:
    `aPortalName` - a portal name.
    `aCategory` - the category
    `aPortlet` - the portlet to create
  Throws:
    PortalCreateException - error creating the portlet.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### updatePortletForPortal

    public void updatePortletForPortal(java.lang.String aPortalName,
                                       java.lang.String aCategory,
                                       Portlet aPortlet)
                                throws java.rmi.RemoteException,
                                       PortalException,
                                       PortalFinderException,
                                       PortalObjectNotFoundException

  Update a PortalPersonalization for a portlet.
  Parameters:
    `aPortalName` - a portal name.
    `aCategory` - the category
    `aPortlet` - the portlet to create
  Throws:
    PortalObjectNotFoundException - could not find the portal personalization.
    PortalFinderException - error getting information for the portal personalization.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### updatePortletForPortal

    public void updatePortletForPortal(java.lang.String aPortalName,
                                       java.lang.String aCategory,
                                       Portlet aPortlet,
                                       boolean createIfNotFound)
                                throws java.rmi.RemoteException,
                                       PortalException,
                                       PortalFinderException,
                                       PortalObjectNotFoundException

  Update a PortalPersonalization for a portlet. Possibly force the creation.
  Parameters:
    `aPortalName` - a portal name.
    `aCategory` - the category
    `aPortlet` - the portlet to update.
    `createIfNotFound` - if it is true it will create the object if it doesn't exist for update.
  Throws:
    PortalObjectNotFoundException - could not find the portal personalization.
    PortalFinderException - error getting information for the portal personalization.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### removePortletForPortal

    public void removePortletForPortal(java.lang.String aPortalName,
                                       java.lang.String aCategory,
                                       Portlet aPortlet)
                                throws java.rmi.RemoteException,
                                       PortalException,
                                       PortalFinderException,
                                       PortalObjectNotFoundException,
                                       PortalRemoveException

  Remove a PortalPersonalization for a portlet. Also remove reference in PortalHierarchy.
  Parameters:
    `aPortalName` - a portal name.
    `aCategory` - the category
    `aPortlet` - the portlet to remove.
  Throws:
    PortalObjectNotFoundException - could not find the portal personalization.
    PortalFinderException - error getting information for the portal personalization.
    PortalRemoveException - error removing the portal personalization.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### createPortletForGroup

    public void createPortletForGroup(java.lang.String aPortalName,
                                      java.lang.String aCategory,
                                      java.lang.String aGroupName,
                                      Portlet aPortlet)
                               throws java.rmi.RemoteException,
                                      PortalException,
                                      PortalCreateException

  Create a GroupPersonalization for a portal and a group.
  Parameters:
    `aPortalName` - a portal name.
    `aCategory` - the category
    `aGroupName` - the group
    `aPortlet` - the portlet to create
  Throws:
    PortalCreateException - error creating the group personalization for the portlet.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### updatePortletForGroup

    public void updatePortletForGroup(java.lang.String aPortalName,
                                      java.lang.String aCategory,
                                      java.lang.String aGroupName,
                                      Portlet aPortlet)
                               throws java.rmi.RemoteException,
                                      PortalException,
                                      PortalFinderException,
                                      PortalObjectNotFoundException

  Update a GroupPersonalization for a portal and a group.
  Parameters:
    `aPortalName` - a portal name.
    `aCategory` - the category
    `aGroupName` - the group
    `aPortlet` - the portlet to create
  Throws:
    PortalObjectNotFoundException - could not find the group personalization for the portlet.
    PortalFinderException - error on th query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### updatePortletForGroup

    public void updatePortletForGroup(java.lang.String aPortalName,
                                      java.lang.String aCategory,
                                      java.lang.String aGroupName,
                                      Portlet aPortlet,
                                      boolean createIfNotFound)
                               throws java.rmi.RemoteException,
                                      PortalException,
                                      PortalFinderException,
                                      PortalObjectNotFoundException

  Update a Group Personalization for a portlet. Possibly force the creation.
  Parameters:
    `aPortalName` - a portal name.
    `aCategory` - the category
    `aGroupName` - the group name
    `aPortlet` - the portlet to update.
    `if` - it is true it will create the object if it doesn't exist for update.
  Throws:
    PortalObjectNotFoundException - could not find the group personalization for the portlet.
    PortalFinderException - error on the query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### removePortletForGroup

    public void removePortletForGroup(java.lang.String aPortalName,
                                      java.lang.String aCategory,
                                      java.lang.String aGroupName,
                                      Portlet aPortlet)
                               throws java.rmi.RemoteException,
                                      PortalException,
                                      PortalFinderException,
                                      PortalObjectNotFoundException,
                                      PortalRemoveException

  Remove a GroupPersonalization for a portal and a group.
  Parameters:
    `aPortalName` - the portal name.
    `aCategory` - the category
    `aGroupName` - the group name
    `aPortlet` - the portlet to update.
  Throws:
    PortalObjectNotFoundException - could not find the group personalization for the portlet.
    PortalFinderException - error on the query.
    PortalRemoveException - error on removing the group personalization for the portlet.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### createPortletForUser

    public void createPortletForUser(java.lang.String aPortalName,
                                     java.lang.String aCategory,
                                     java.lang.String aGroupName,
                                     java.lang.String aUserName,
                                     Portlet aPortlet)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalCreateException

  Create a UserPersonalization for a portal, group, and user.
  Parameters:
    `aPortalName` - the portal name.
    `aCategory` - the category
    `aGroupName` - the group name
    `aUserName` - the user
    `aPortlet` - the portlet to update.
  Throws:
    PortalCreateException - error on creating the user personalization for the portlet.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### updatePortletForUser

    public void updatePortletForUser(java.lang.String aPortalName,
                                     java.lang.String aCategory,
                                     java.lang.String aGroupName,
                                     java.lang.String aUserName,
                                     Portlet aPortlet)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalFinderException,
                                     PortalObjectNotFoundException

  Update a UserPersonalization for a portal, group, and user.
  Parameters:
    `aPortalName` - the portal name.
    `aCategory` - the category
    `aGroupName` - the group name
    `aUser` - the user
    `aPortlet` - the portlet to update.
  Throws:
    PortalObjectNotFoundException - could not find the user personalization for the portlet.
    PortalFinderException - error on the query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### updatePortletForUser

    public void updatePortletForUser(java.lang.String aPortalName,
                                     java.lang.String aCategory,
                                     java.lang.String aGroupName,
                                     java.lang.String aUser,
                                     Portlet aPortlet,
                                     boolean createIfNotFound)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalFinderException,
                                     PortalObjectNotFoundException

  Update a PortalPersonalization for a portlet. Possibly force the creation.
  Parameters:
    `aPortalName` - a portal name.
    `aCategory` - the category
    `aGroupName` - the group name
    `aUser` - the user
    `aPortlet` - the portlet to update.
    `createIfNotFound` - if it is true it will create the object if it doesn't exist for update.
  Throws:
    PortalObjectNotFoundException - could not find the user personalization for the portlet.
    PortalFinderException - error on the query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### removePortletForUser

    public void removePortletForUser(java.lang.String aPortalName,
                                     java.lang.String aCategory,
                                     java.lang.String aGroupName,
                                     java.lang.String aUserName,
                                     Portlet aPortlet)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalFinderException,
                                     PortalObjectNotFoundException,
                                     PortalRemoveException

  Remove a UserPersonalization for a portal, group, and user.
  Parameters:
    `aPortalName` - a portal instance.
    `aCategory` - the category
    `aGroupName` - the group name
    `aUserNamethe` - user
  Throws:
    PortalObjectNotFoundException - could not find the user personalization for the portlet.
    PortalFinderException - error on the query.
    PortalRemoveException - error on removing the user personalization for the portlet.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### createCredentials

    public void createCredentials(Credentials someCredentials)
                           throws java.rmi.RemoteException,
                                  PortalException,
                                  PortalCreateException

  Persist a new set of credentials.
  Parameters:
    `someCredentials` - a Credentials instance.
  Throws:
    java.rmi.RemoteException - container error.
    PortalCreateException - error creating the credentials.
    PortalException - General portal exception.

### updateCredentials

    public void updateCredentials(Credentials someCredentials)
                           throws java.rmi.RemoteException,
                                  PortalException,
                                  PortalFinderException,
                                  PortalObjectNotFoundException

  Update a set of credentials.
  Parameters:
    `someCredentials` - a Credentials instance.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - the credentials to be updated were not found.
    PortalException - General portal exception.

### removeCredentials

    public void removeCredentials(Credentials someCredentials)
                           throws java.rmi.RemoteException,
                                  PortalException,
                                  PortalFinderException,
                                  PortalObjectNotFoundException,
                                  PortalRemoveException

  Remove a Set of credentials.
  Parameters:
    `someCredentials` - a Credentials instance.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - the credentials don't exist.
    PortalException - General portal exception.

### getPortals

    public Portal[] getPortals()
                        throws java.rmi.RemoteException,
                               PortalException,
                               PortalFinderException

  Get all of the portals defined within a system.
  Returns:
    all of the portals defined.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalException - General portal exception.

### getPortlets

    public Portlet[] getPortlets()
                          throws java.rmi.RemoteException,
                                 PortalException,
                                 PortalFinderException

  Get all of the portlets (PortletDefinition) defined within a system.
  Returns:
    all of the portals defined.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalException - General portal exception.

### getPortletNamesFor

    public java.lang.String[] getPortletNamesFor(java.lang.String aPortalName)
                                          throws java.rmi.RemoteException,
                                                 PortalException,
                                                 PortalFinderException

  Get the portlet names associated to a portal.
  Parameters:
    `aPortalName` - the portal name.
  Returns:
    String[] the portlets.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalException - General portal exception.

### getPortalNamesFor

    public java.lang.String[] getPortalNamesFor(java.lang.String aPortletName)
                                         throws java.rmi.RemoteException,
                                                PortalException,
                                                PortalFinderException

  Get the portal names associated to a portlet.
  Parameters:
    `aPortletName` - the portlet name.
  Returns:
    String[] the portal names.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalException - General portal exception.

### getPortletFor

    public Portlet getPortletFor(java.lang.String aPortlet)
                          throws java.rmi.RemoteException,
                                 PortalException,
                                 PortalFinderException,
                                 PortalObjectNotFoundException

  Get the PortletDefinition for the name.
  Parameters:
    `aPortlet` - the portlet name.
  Returns:
    Portlet
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - the portlet definition does not exist.
    PortalException - General portal exception.

### getPortletForPortal

    public Portlet getPortletForPortal(java.lang.String aPortal,
                                       java.lang.String aCategory,
                                       java.lang.String aPortlet,
                                       boolean isWaterfall)
                                throws java.rmi.RemoteException,
                                       PortalException,
                                       PortalFinderException,
                                       PortalObjectNotFoundException

  Get the PortalPersonalization for the name. Waterfall method.
  Parameters:
    `aPortal` - the portal name.
    `aCategory` - the category
    `aPortlet` - the portlet name.
    `isWaterfall` - boolean should i allow the waterfall
  Returns:
    Portlet
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - the portal personalization does not exist.
    PortalException - General portal exception.

### getPortletForGroup

    public Portlet getPortletForGroup(java.lang.String aPortal,
                                      java.lang.String aCategory,
                                      java.lang.String aGroup,
                                      java.lang.String aPortlet,
                                      boolean isWaterfall)
                               throws java.rmi.RemoteException,
                                      PortalException,
                                      PortalFinderException,
                                      PortalObjectNotFoundException

  Get the GroupPersonalization for the name. Waterfall method.
  Parameters:
    `aPortal` - the portal name.
    `aCategory` - the category
    `aGroup` - the group name.
    `aPortlet` - the portlet name.
    `isWaterfall` - boolean should i allow the waterfall
  Returns:
    Portlet
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - the group personalization does not exist.
    PortalException - General portal exception.

### getPortletForUser

    public Portlet getPortletForUser(java.lang.String aPortal,
                                     java.lang.String aCategory,
                                     java.lang.String aGroup,
                                     java.lang.String aUser,
                                     java.lang.String aPortlet,
                                     boolean isWaterfall)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalFinderException,
                                     PortalObjectNotFoundException

  Get the UserPersonalization for the name. Waterfall method.
  Parameters:
    `aPortal` - the portal name.
    `aCategory` - the category
    `aGroup` - the group name.
    `aUser` - the user name.
    `aPortlet` - the portlet name.
    `boolean` - should i allow the waterfall
  Returns:
    Portlet
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - the user personalization does not exist.
    PortalException - General portal exception.

### getPortletForPortal

    public Portlet getPortletForPortal(java.lang.String aPortal,
                                       java.lang.String aCategory,
                                       java.lang.String aPortlet)
                                throws java.rmi.RemoteException,
                                       PortalException,
                                       PortalFinderException,
                                       PortalObjectNotFoundException

  Get the PortalPersonalization for the name.
  Parameters:
    `aPortal` - the portal name.
    `aCategory` - the category
    `aPortlet` - the portlet name.
  Returns:
    Portlet
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - the portal personalization does not exist.
    PortalException - General portal exception.

### getPortletForGroup

    public Portlet getPortletForGroup(java.lang.String aPortal,
                                      java.lang.String aCategory,
                                      java.lang.String aGroup,
                                      java.lang.String aPortlet)
                               throws java.rmi.RemoteException,
                                      PortalException,
                                      PortalFinderException,
                                      PortalObjectNotFoundException

  Get the GroupPersonalization for the name.
  Parameters:
    `aPortal` - the portal name.
    `aCategory` - the category
    `aGroup` - the group name.
    `aPortlet` - the portlet name.
  Returns:
    Portlet
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - The group personalization does not exist.
    PortalException - General portal exception.

### getPortletForUser

    public Portlet getPortletForUser(java.lang.String aPortal,
                                     java.lang.String aCategory,
                                     java.lang.String aGroup,
                                     java.lang.String aUser,
                                     java.lang.String aPortletName)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalFinderException,
                                     PortalObjectNotFoundException

  Get the UserPersonalization for the name.
  Parameters:
    `aPortal` - the portal name.
    `aCategory` - the category
    `aGroup` - the group name.
    `aUser` - the user name.
    `aPortlet` - the portlet name.
  Returns:
    Portlet
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - the user personalization does not exist.
    PortalException - General portal exception.

### addGroupToPortal

    public void addGroupToPortal(java.lang.String aPortalName,
                                 java.lang.String aGroupId)
                          throws java.rmi.RemoteException,
                                 PortalException,
                                 PortalCreateException

  Create a group for a portal.
  Parameters:
    `aPortalName` - the portal name
    `aGroupId` - the group id (name)
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalException - General portal exception.

### addGroupToGroup

    public void addGroupToGroup(java.lang.String aParentGroupId,
                                java.lang.String aGroupId)
                         throws java.rmi.RemoteException,
                                PortalException,
                                PortalCreateException

  Create a group for a parent group.
  Parameters:
    `aParentGroupId` - the parent group id (name)
    `aGroupId` - the group id (name)
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalException - General portal exception.

### getGroupIdsForPortal

    public java.lang.String[] getGroupIdsForPortal(java.lang.String aPortalName)
                                            throws java.rmi.RemoteException,
                                                   PortalException,
                                                   PortalFinderException

  Get the groups associated to a portal
  Parameters:
    `aPortalName` - the portal name
  Returns:
    String[] the group ids.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalException - General portal exception.

### getGroupIdsForGroup

    public java.lang.String[] getGroupIdsForGroup(java.lang.String aParentGroupId)
                                           throws java.rmi.RemoteException,
                                                  PortalException,
                                                  PortalFinderException

  Get the groups associated to a parent group
  Parameters:
    `aParentGroupId` - the parent group id.
  Returns:
    String[] the group ids.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalException - General portal exception.

### removeGroupForPortal

    public void removeGroupForPortal(java.lang.String aPortalName,
                                     java.lang.String aGroupId)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalFinderException,
                                     PortalObjectNotFoundException,
                                     PortalRemoveException

  Remove a group from the portal.
  Parameters:
    `aPortalName` - the portal name.
    `aGroupId` - the group id.
  Throws:
    java.rmi.RemoteException - container error.
    PortalFinderException - query error.
    PortalObjectNotFoundException - Error finding the group to remove.
    PortalException - General portal exception.

### getPortalProperties

    public PortalProperties getPortalProperties()
                                         throws java.rmi.RemoteException,
                                                PortalCreateException,
                                                PortalException

  Get the portal properties
  Returns:
    the properties for the portal.
  Throws:
    java.rmi.RemoteException - container error.
    PortalCreateException - Error acquiring a handle to the portal properties session bean.
    PortalException - General portal exception.

### getGroupNamesForUser

    public java.lang.String[] getGroupNamesForUser(java.lang.String aPortalId,
                                                   java.lang.String aUserId)
                                            throws java.rmi.RemoteException,
                                                   PortalException

  Get the group names to which a particular user belongs.
  Parameters:
    `aPortalId` - the name of the portal associated with the search
    `aUserId` - the name of the user associated with the search
  Returns:
    the group names associated with the user
  Throws:
    java.rmi.RemoteException - container error.
    PortalException - General portal exception.

### getAllUserNamesForGroup

    public java.lang.String[] getAllUserNamesForGroup(java.lang.String aPortalId,
                                                      java.lang.String aGroupId)
                                               throws java.rmi.RemoteException

  Gets all user names associated with a particular group.
  Parameters:
    `aPortalId` - the name of the portal associated with the search
    `aGroupId` - the name of the group associated with the search
  Returns:
    the user names associated with the group
  Throws:
    java.rmi.RemoteException - container error.

### searchGroupForUsers

    public java.lang.String[] searchGroupForUsers(java.lang.String aPortalId,
                                                  java.lang.String aGroupId,
                                                  java.lang.String search)
                                           throws java.rmi.RemoteException,
                                                  PortalException,
                                                  PortalResultsException

  Get the user names associated with a particular group, based on a particular search string.
  Parameters:
    `aPortalId` - the name of the portal associated with the search
    `aGroupId` - the name of the group associated with the search
    `search` - a search string to apply ( e.g. 'bea*')
  Returns:
    the user names associated with the group
  Throws:
    PortalResultsException - thrown if the query size is too big.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### addUserToGroup

    public void addUserToGroup(java.lang.String aPortalId,
                               java.lang.String aGroupId,
                               java.lang.String aUserId)
                        throws java.rmi.RemoteException,
                               PortalException,
                               PortalCreateException

  Add a user name to a particular group.
  Parameters:
    `aGroupId` - the group to which the user is being added
    `aUserId` - the user being added to the group
  Throws:
    PortalCreateException - error on creation of the user to the group.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### removeUserFromGroup

    public void removeUserFromGroup(java.lang.String aPortalId,
                                    java.lang.String aGroupId,
                                    java.lang.String aUserId)
                             throws java.rmi.RemoteException,
                                    PortalException,
                                    PortalFinderException,
                                    PortalRemoveException

  Remove a user name from a particular group.
  Parameters:
    `aGroupId` - the group from which the user is being removed
    `aUserId` - the user being removed from the group
  Throws:
    PortalRemoveException - error on removing a user from the group.
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getUserCountForGroup

    public int getUserCountForGroup(java.lang.String aPortalId,
                                    java.lang.String aGroupId)
                             throws java.rmi.RemoteException,
                                    PortalException,
                                    PortalFinderException

  Get a count of users for a particular portal-group combination.
  Parameters:
    `aPortalId` - the portal whose user count is sought
    `aGroupId` - the group whose user count is sought
  Returns:
    the number of users for the group
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### searchPortalForUsers

    public java.lang.String[] searchPortalForUsers(java.lang.String aPortalId,
                                                   java.lang.String search)
                                            throws java.rmi.RemoteException,
                                                   PortalException,
                                                   PortalResultsException

  Get the user names associated with a particular portal, based on a particular search string.
  Parameters:
    `aPortalId` - the name of the portal associated with the search
    `search` - a search string to apply ( e.g. 'bea*')
  Returns:
    the user names associated with the portal
  Throws:
    PortalResultsException - thrown if the query size is too big.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### addUserToPortal

    public void addUserToPortal(java.lang.String aPortalId,
                                java.lang.String aUserId)
                         throws java.rmi.RemoteException,
                                PortalException,
                                PortalCreateException

  Add a user name to a particular portal.
  Parameters:
    `aPortalId` - the group to which the user is being added
    `aUserId` - the user being added to the group
  Throws:
    PortalCreateException - container error adding the user to the portal.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### removeUserFromPortal

    public void removeUserFromPortal(java.lang.String aPortalId,
                                     java.lang.String aUserId)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalFinderException,
                                     PortalRemoveException

  Remove a user name from a particular group.
  Parameters:
    `aPortalId` - the group from which the user is being removed
    `aUserId` - the user being removed from the group
  Throws:
    PortalFinderException - error on query.
    PortalRemoveException - error removing object.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### getUserCountForPortal

    public int getUserCountForPortal(java.lang.String aPortalId)
                              throws java.rmi.RemoteException,
                                     PortalException,
                                     PortalFinderException

  Get a count of users for a particular portal.
  Parameters:
    `aPortalId` - the portal whose group count is sought
  Returns:
    the number of users for the portal
  Throws:
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### portalUpdateCredentials

    public java.lang.String portalUpdateCredentials(java.lang.String portalName,
                                                    java.lang.String userName,
                                                    java.lang.String oldPassword,
                                                    java.lang.String password)
                                             throws java.rmi.RemoteException,
                                                    PortalObjectNotFoundException,
                                                    PortalFinderException,
                                                    PortalException

  Update the credentials for a user..
  Parameters:
    `portalName` - the portal name
    `userName` - the user name
    `oldPassword` - the old password (to check if they are a valid user.
    `password` - the password.
  Returns:
    the status code. String value.
  Throws:
    PortalObjectNotFoundException - the credentials were not found for criteria.
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### portalCreateCredentials

    public java.lang.String portalCreateCredentials(java.lang.String portalName,
                                                    java.lang.String userName,
                                                    java.lang.String password)
                                             throws java.rmi.RemoteException,
                                                    PortalObjectNotFoundException,
                                                    PortalFinderException,
                                                    PortalException

  Create the credentials for a user.
  Parameters:
    `portalName` - the portal name
    `userName` - the user name
    `password` - the password.
  Returns:
    the status code. String value.
  Throws:
    PortalObjectNotFoundException - the credentials were not found for criteria.
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### portalSignOn

    public java.lang.String portalSignOn(java.lang.String portalName,
                                         java.lang.String userName,
                                         java.lang.String password)
                                  throws java.rmi.RemoteException,
                                         PortalObjectNotFoundException,
                                         PortalFinderException,
                                         PortalException

  Check the signon for a portal.
  Parameters:
    `portalName` - the portal name
    `userName` - the user name
    `password` - the password.
  Returns:
    the status code. String value.
  Throws:
    PortalObjectNotFoundException - the credentials were not found for criteria.
    PortalFinderException - error on query.
    PortalException - general error.
    java.rmi.RemoteException - error within the container.

### createGroupProfileKey

    public java.lang.String createGroupProfileKey(java.lang.String portalName,
                                                  java.lang.String groupName)
                                           throws java.rmi.RemoteException

  Create the group profile key.
  Parameters:
    `portalName` - the portal name
    `groupName` - the group name
  Returns:
    the key
  Throws:
    java.rmi.RemoteException - error on creating the group profile key.

### createUserProfileKey

    public java.lang.String createUserProfileKey(java.lang.String portalName,
                                                 java.lang.String userName)
                                          throws java.rmi.RemoteException

  Create the user profile key.
  Parameters:
    `portalName` - the portal name
    `userName` - the user name
  Returns:
    the key
  Throws:
    java.rmi.RemoteException - error on creating the user profile key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved